Loading...
Searching...
No Matches
tile.hpp File Reference
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/mercator_projection.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <cassert>`
`#include <cstdint>`
Include dependency graph for tile.hpp:

Go to the source code of this file.

## Classes

struct | osmium::geom::Tile

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::geom
| Everything related to geometry handling.

## Functions

constexpr uint32_t | osmium::geom::num_tiles_in_zoom (uint32_t zoom) noexcept
constexpr double | osmium::geom::tile_extent_in_zoom (uint32_t zoom) noexcept
constexpr uint32_t | osmium::geom::mercx_to_tilex (uint32_t zoom, double x) noexcept
constexpr uint32_t | osmium::geom::mercy_to_tiley (uint32_t zoom, double y) noexcept
bool | osmium::geom::operator== (const Tile &lhs, const Tile &rhs) noexcept
| Tiles are equal if all their attributes are equal.
bool | osmium::geom::operator!= (const Tile &lhs, const Tile &rhs) noexcept
bool | osmium::geom::operator< (const Tile &lhs, const Tile &rhs) noexcept